Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.8   

Description

The bug described in #4154 seems to be already fixed.

The attached patch fixes a related bug, because of which updates to the due date of a preceding issue were not reflected in the

following issue's history.

Related issues:

Related to Redmine - Defect #4154: Automatic rescheduling by precedes issue-r... Closed 2009-11-02

Related to Redmine - Feature #27644: Journals and notifications on changes on... New

Associated revisions

Revision 17373 - 2018-06-10 07:57 - Jean-Philippe Lang

Log automatic rescheduling of following issues to journal (#28649).

Revision 17374 - 2018-06-10 08:00 - Jean-Philippe Lang

Merged r17373 to 3.4-stable (#28649).

Revision 17375 - 2018-06-10 08:01 - Jean-Philippe Lang

Merged r17373 to 3.3-stable (#28649).

History

#1 - 2018-04-27 07:44 - Go MAEDA

- Related to Defect #4154: Automatic rescheduling by precedes issue-relation should be added to the journal added

#2 - 2018-04-28 04:27 - Go MAEDA

- Target version set to 3.3.8

I confirmed the problem and the patch looks good to me, setting target version to 3.3.8.

When you add a "Follows" relation to an issue and if the start date of the following issue is sooner than the due date of the preceding issue, start date

and due date of the following issue will be automatically updated and those updates are logged to the journal. It is the expected behavior.

However, if the dates of the following issue are automatically updated by editing the due date of preceding issue, nothing is logged to the journal. This

case should also be logged to the journal, as Kevin Fischer pointed out.

#3 - 2018-05-01 05:50 - Go MAEDA

- Subject changed from Add Due Date update of preceding issue to journal of following issue to Log automatic rescheduling of following issues to

journal

#4 - 2018-05-08 01:51 - Mischa The Evil

- Related to Feature #27644: Journals and notifications on changes on Issues set by relations added

#5 - 2018-05-08 01:56 - Mischa The Evil

@Go: This actually seems to fix one of the three cases in which issue attributes can change without notification and/or journaling of these changes:

1. issue relations: #27644, which, I think, would be fixed by the patch proposed in this issue (along with r13534 as you have mentioned yourself in

issue #4154#note-9)

2. parent-child relations: the subject of #6687 and #5875

3. default custom field values: a side-effect of the implementation of #21074, reported in #25726#note-4
https://www.redmine.org/issues/4154
https://www.redmine.org/issues/27644
https://www.redmine.org/projects/redmine/repository/svn/revisions/13534
https://www.redmine.org/issues/4154#note-9
https://www.redmine.org/issues/6687
https://www.redmine.org/issues/5875
https://www.redmine.org/issues/21074
https://www.redmine.org/issues/25726#note-4


#6 - 2018-06-10 08:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Fix committed in r17373. I've changed the patch a bit in order to create a journal on the following issue only if the main issue has a journal.

Files

add-due-date-update-to-following-journal.diff 2.52 KB 2018-04-27 Kevin Fischer
